2018-06-21 23:50 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005243GNUnetfile-sharing servicepublic2018-06-14 20:53
Reporterxrs 
Assigned Tong0 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSarchlinuxOS Versionhead
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version 
Summary0005243: make check for fs/test_gnunet_fs_psd.py fails
DescriptionRunning fs/test_gnunet_fs_psd.py with python3 and python2.7 fails.
Steps To Reproduce$ cd fs
$ make check

Also executed (python3 is default):
./test_gnunet_fs_psd.py
Traceback (most recent call last):
  File "./test_gnunet_fs_psd.py", line 29, in <module>
    reload(sys)
NameError: name 'reload' is not defined


Also executed:
$ python2.7 test_gnunet_fs_psd.py
Failed to find `Publishing `.+test_gnunet_fs_rec_data.tgz' done\.\r?\n' in stdout, which is is `Jan 04 01:43:01-816857 util-disk-26970 WARNING `stat' failed on file `/home/xrs/sources/gnunet/src/util/.libs/share/gnunet/config.d' at disk.c:1240 with error: No such file or directory
Jan 04 01:43:01-816923 gnunet-publish-26970 ERROR Malformed configuration file `/home/xrs/sources/gnunet/src/fs/test_gnunet_fs_psd_data.conf', exit ...
'
Additional InformationI have investigated why test_gnunet_fs_psd_data.conf is malformed. But I couldn't see anything wrong. See uploaded file.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0012771

Christian Grothoff (manager)

Ah, for Python 2.7, you are running the test by hand, without having set "GNUNET_PREFIX" (usually 'make check' does that). That is why your configuration file is "malformed".

For python 3, there seems to be an issue with the 'reload' symbol.

~0012944

ng0 (developer)

Line 29 is a comment preceding the code:
# python3.4:

So you will need at least python 3.4 when you use python3.
library reference: https://docs.python.org/3/library/importlib.html?highlight=importlib#importlib.reload

version support excurs/rant: There was a certain set of problematic (wrt py2/3 duality) python 3 version, so once I'm done with bringing the python files on par with reality, I will let configure check for 2 minimum versions. For 2, that will be at least 2.7.15 (the very last python 2 release iirc) and for 3 I don't know currently. Everything else sucks too much to support.

~0012945

ng0 (developer)

I have the following suggestion, which will eventually go into the bag of functions for generalized test suite imports:



if "GNUNET_PREFIX" in os.environ:
     pass
else:
     sys.exit(1)



So if the env variable is not set, break hard and exit. Other continue.
Okay?

~0013026

Christian Grothoff (manager)

Sure, feel free to add that.

~0013041

ng0 (developer)

should be fixed in https://gnunet.org/git/gnunet.git/commit/?id=07edbcab2e3915e8898680d38596537c128b10dc plus follow-up commit.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-04 02:04 xrs New Issue
2018-01-04 02:04 xrs File Added: test_gnunet_fs_psd_data.conf
2018-01-12 11:50 Christian Grothoff Assigned To => Christian Grothoff
2018-01-12 11:50 Christian Grothoff Status new => assigned
2018-01-12 11:50 Christian Grothoff Target Version => 0.11.0pre66
2018-01-12 12:14 Christian Grothoff Note Added: 0012771
2018-01-12 12:14 Christian Grothoff Assigned To Christian Grothoff =>
2018-01-12 12:14 Christian Grothoff Status assigned => feedback
2018-05-22 13:09 ng0 Note Added: 0012944
2018-05-22 13:21 ng0 Note Added: 0012945
2018-06-07 23:31 Christian Grothoff Note Added: 0013026
2018-06-07 23:31 Christian Grothoff Assigned To => ng0
2018-06-07 23:31 Christian Grothoff Status feedback => assigned
2018-06-14 20:52 ng0 Status assigned => acknowledged
2018-06-14 20:53 ng0 Status acknowledged => resolved
2018-06-14 20:53 ng0 Resolution open => fixed
2018-06-14 20:53 ng0 Note Added: 0013041
+Issue History